org.keycloak.common

## Class Profile

- java.lang.Object
- - org.keycloak.common.Profile

-     public class Profile
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Profile.Feature`
    `static interface` | `Profile.PropertyResolver`
    `static class` | `Profile.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_NAME`
    `static String` | `PROJECT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Profile(Profile.PropertyResolver resolver)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<Profile.Feature>` | `getDeprecatedFeatures()`
    `static Set<Profile.Feature>` | `getDisabledFeatures()`
    `static Set<Profile.Feature>` | `getExperimentalFeatures()`
    `static String` | `getName()`
    `static Set<Profile.Feature>` | `getPreviewFeatures()`
    `static void` | `init()`
    `static boolean` | `isFeatureEnabled(Profile.Feature feature)`
    `static boolean` | `isProduct()`
    `static void` | `setInstance(Profile instance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_NAME

          public static final String PRODUCT_NAME

    - #### PROJECT_NAME

          public static final String PROJECT_NAME

  - ### Constructor Detail

    - #### Profile

          public Profile(Profile.PropertyResolver resolver)

  - ### Method Detail

    - #### init

          public static void init()

    - #### setInstance

          public static void setInstance(Profile instance)

    - #### getName

          public static String getName()

    - #### getDisabledFeatures

          public static Set<Profile.Feature> getDisabledFeatures()

    - #### getPreviewFeatures

          public static Set<Profile.Feature> getPreviewFeatures()

    - #### getExperimentalFeatures

          public static Set<Profile.Feature> getExperimentalFeatures()

    - #### getDeprecatedFeatures

          public static Set<Profile.Feature> getDeprecatedFeatures()

    - #### isFeatureEnabled

          public static boolean isFeatureEnabled(Profile.Feature feature)

    - #### isProduct

          public static boolean isProduct()

Copyright © 2021 JBoss by Red Hat. All rights reserved.